Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ihr.xbrl.om.xdt
Class XDTProcesorFactory

    java.lang.Object
      com.ihr.xbrl.om.XBRLProcessorFactoryBase
          com.ihr.xbrl.om.xdt.XDTProcesorFactory

All Implemented Interfaces:
  XBRLProcessorFactory

    public class XDTProcesorFactory

extends XBRLProcessorFactoryBase

Author:
  Ignacio

Constructor Summary
`XDTProcesorFactory()`

Method Summary
`XBRLPlugInProcessor` | `create()` Creates a new instance of the processor or gets the registered instance from the DTSContainer
`java.lang.String` | `getProcessorDescription()` Returns the processor description for the processor name
`java.lang.String` | `getProcessorName()` Returns the processor name this factory class is able to create processor for

Methods inherited from class com.ihr.xbrl.om.XBRLProcessorFactoryBase
`setDTSContainer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDTProcesorFactory

    public XDTProcesorFactory()

Method Detail

### create

    public XBRLPlugInProcessor create()
                               throws com.rs.lic.LicenseVerificationException,
                                      XBRLValidationException

  Description copied from interface: `XBRLProcessorFactory`
  Creates a new instance of the processor or gets the registered instance from the DTSContainer

  Returns:
    XBRLPlugInProcessor
  Throws:
    `com.rs.lic.LicenseVerificationException` - If the user has no rights to use the processor
    `XBRLValidationException` - If the processor just created raises static validation errors while loading the DTS

### getProcessorDescription

    public java.lang.String getProcessorDescription()

  Description copied from interface: `XBRLProcessorFactory`
  Returns the processor description for the processor name

  Returns:
    String text about processor description

### getProcessorName

    public java.lang.String getProcessorName()

  Description copied from interface: `XBRLProcessorFactory`
  Returns the processor name this factory class is able to create processor for

  Returns:
    String representing the processor name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD